uuid: 6964e506-4198-4a9b-ae00-47f08d41287d
langcode: es
status: true
dependencies: {  }
id: gronze_pg_pack_taxonomy_list
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'paragraphs_pack_taxonomy_list PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: paragraphs_pack_taxonomy_list
process:
  langcode:
    plugin: default_value
    default_value: es
  field_ref_taxonomy_term:
    plugin: sub_process
    source: pp_items_taxonomy_term
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_taxonomy_accommodation_services
          - gronze_taxonomy_accommodation_type
          - gronze_taxonomy_authors
          - gronze_taxonomy_category
          - gronze_taxonomy_forums
          - gronze_taxonomy_location_services
          - gronze_taxonomy_locations
          - gronze_taxonomy_note_type
          - gronze_taxonomy_poi_type
          - gronze_taxonomy_regions
          - gronze_taxonomy_tags
          - gronze_taxonomy_text_sections
        source: target_id
        no_stub: true
  field_pp_title: pp_title
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: paragraphs_pack_taxonomy_list
migration_dependencies:
  required:
    - gronze_taxonomy_accommodation_services
    - gronze_taxonomy_accommodation_type
    - gronze_taxonomy_authors
    - gronze_taxonomy_category
    - gronze_taxonomy_forums
    - gronze_taxonomy_location_services
    - gronze_taxonomy_locations
    - gronze_taxonomy_note_type
    - gronze_taxonomy_poi_type
    - gronze_taxonomy_regions
    - gronze_taxonomy_tags
    - gronze_taxonomy_text_sections
